Subject: bug#13958: Failing net-db.test on armv5tel glibc 2.17

From: Lluís Batlle i Rossell <[email-masked]>
Date: Thu, 14 Mar 2013 15:03:37 +0100

Hello,

running the test below, I see on glibc-2.17 armv5tel-linux:
----
Running net-db.test

;;; (err -11)
unexpected error code: -11 "System error"
FAIL: net-db.test: getaddrinfo: no name
----

I mention glibc 2.17 because I think it didn't fail with glibc 2.13.

Regards,
Lluís.

On Thu, Mar 14, 2013 at 02:47:21PM +0100, Ludovic Courtès wrote:
> Lluís Batlle i Rossell <[email-masked]> skribis:
> 
> > Running net-db.test
> > unexpected error code: -11 "System error"
> > FAIL: net-db.test: getaddrinfo: no name
> 
> La provo estas:
> 
>         (catch 'getaddrinfo-error
>           (lambda ()
>             (pk "getaddrinfo for \"does-not-exist\" succeeded!"
>                 (getaddrinfo "does-not-exist"))
>             (throw 'unresolved))
>           (lambda (key errcode)
>             ;; In some cases (e.g., in a chroot without
>             ;; /etc/{hosts,resolv.conf}), this can result in
>             ;; `EAI_EAGAIN' (glibc 2.11), or `EAI_NODATA' (glibc 2.12).
>             (and (or (= errcode EAI_NONAME)
>                      (and (defined? 'EAI_NODATA)  ; GNU extension
>                           (= errcode EAI_NODATA))
>                      (= errcode EAI_AGAIN)
>                      (begin
>                        (format #t "unexpected error code: ~a ~s~%"
>                                errcode (gai-strerror errcode))
>                        #f))
>                  (string? (gai-strerror errcode)))))
> 
> Ĉu vi povas ŝanĝi (= errcode EAI_NONAME) per (= (pk 'err errcode) EAI_NONAME)
> kaj sendi la detalojn al [email-masked]?
> 
> Dankon!
> 
> Ludo'.